import { _decorator, Component, Node } from 'cc';
import { GUIManager } from '../../engines/gui/GUIManager';
const { ccclass, property } = _decorator;


export class UIConst extends Component {
    /**
     * 游戏准备界面
     */
    public static PREPARE_UI:number=0;

    /**
     * 战斗界面
     */
    public static FIGHTING_UI:number=1;

    /**
     * 游戏结算界面
     */
    public static GAME_OVER_UI:number=2;

    //注册所有游戏UI
    static RegisterGUI():void{
        GUIManager.single.RegisterGUI(this.PREPARE_UI,"ui/PrepareUI");
        GUIManager.single.RegisterGUI(this.FIGHTING_UI,"ui/FightingUI");
        GUIManager.single.RegisterGUI(this.GAME_OVER_UI,"ui/GameOverUI");
    }
}
